CUDA Runtime API (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 4.10. cudaPitchedPtr Struct Reference

## [Data types used by CUDA Runtime]

CUDA Pitched memory pointer

See also:

make_cudaPitchedPtr

### Public Variables

size_t pitch
void * ptr
size_t xsize
size_t ysize

### Variables

size_t cudaPitchedPtr::pitch [inherited]

  Pitch of allocated memory in bytes

void * cudaPitchedPtr::ptr [inherited]

  Pointer to allocated memory

size_t cudaPitchedPtr::xsize [inherited]

  Logical width of allocation in elements

size_t cudaPitchedPtr::ysize [inherited]

  Logical height of allocation in elements